Plank.Worker.add_task – plank Reference Manual

# add_task

## Description:

public void add_task (owned ThreadFunc<void*> func, TaskPriority priority = DEFAULT)

Schedule given function to be run in our ThreadPool The given priority influences execution-time of the task depending on the currently scheduled amount of tasks.

## Parameters:

func | function to be executed
priority | priority of the given function